#include <iostream>
using namespace std;

int main()
{
	long long n, i, j;
	cin>>n;
	long long niz[n];
	for(i = 0; i<n; i++)
	{
		cin>>niz[i];	
	}
	long long q;
	cin>>q;
	long long pok[q][2];
	for(i=0; i<q; i++)
	{
		cin>>pok[i][0];
		cin>>pok[i][1];
	}
	
	for(i = 0; i<q; i++)
	{
		long long duz = pok[i][1] - pok[i][0] + 1;
		long long podniz[duz];
		int jedan = 0;
		for(j = 0; j<duz; j++)
		{
			podniz[j] = niz[pok[i][0]-1+j];
		}
		
		for(j = 0; j<duz-1; j++)
		{
			if(podniz[j]>podniz[j+1])
			{
				jedan++;
			}
			if(jedan>1)
			{
				break;
			}
		}
		
		if(jedan>1)
		{
			cout<<"NE\n";
		}else
		{
			cout<<"DA\n";
		}
	}	
}